package com.bonus.canteen.core.supply.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel(
   value = "DrpSupplierScoreHist对象",
   description = "供应商历史评分表"
)
public class DrpSupplierScoreHist {
   @ApiModelProperty("主键id")
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Long id;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("周期")
   private String period;
   @ApiModelProperty("交货及时率分数")
   private BigDecimal deliveryOnTimeScore;
   @ApiModelProperty("产品合格率")
   private BigDecimal productPassScore;
   @ApiModelProperty("公司资质认证分数")
   private BigDecimal companyQualificationCertificationScore;
   @ApiModelProperty("注册资金分数")
   private BigDecimal registFundScore;
   @ApiModelProperty("上一年度营业额分数")
   private BigDecimal lastYearOperatingIncomeScore;
   @ApiModelProperty("员工数分数")
   private BigDecimal workersNumScore;
   @ApiModelProperty("订单数量分数")
   private BigDecimal orderNumScore;
   @ApiModelProperty("订单金额分数")
   private BigDecimal orderAmountScore;
   @ApiModelProperty("总分")
   private BigDecimal totalScore;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getPeriod() {
      return this.period;
   }

   public BigDecimal getDeliveryOnTimeScore() {
      return this.deliveryOnTimeScore;
   }

   public BigDecimal getProductPassScore() {
      return this.productPassScore;
   }

   public BigDecimal getCompanyQualificationCertificationScore() {
      return this.companyQualificationCertificationScore;
   }

   public BigDecimal getRegistFundScore() {
      return this.registFundScore;
   }

   public BigDecimal getLastYearOperatingIncomeScore() {
      return this.lastYearOperatingIncomeScore;
   }

   public BigDecimal getWorkersNumScore() {
      return this.workersNumScore;
   }

   public BigDecimal getOrderNumScore() {
      return this.orderNumScore;
   }

   public BigDecimal getOrderAmountScore() {
      return this.orderAmountScore;
   }

   public BigDecimal getTotalScore() {
      return this.totalScore;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public DrpSupplierScoreHist setId(final Long id) {
      this.id = id;
      return this;
   }

   public DrpSupplierScoreHist setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpSupplierScoreHist setPeriod(final String period) {
      this.period = period;
      return this;
   }

   public DrpSupplierScoreHist setDeliveryOnTimeScore(final BigDecimal deliveryOnTimeScore) {
      this.deliveryOnTimeScore = deliveryOnTimeScore;
      return this;
   }

   public DrpSupplierScoreHist setProductPassScore(final BigDecimal productPassScore) {
      this.productPassScore = productPassScore;
      return this;
   }

   public DrpSupplierScoreHist setCompanyQualificationCertificationScore(final BigDecimal companyQualificationCertificationScore) {
      this.companyQualificationCertificationScore = companyQualificationCertificationScore;
      return this;
   }

   public DrpSupplierScoreHist setRegistFundScore(final BigDecimal registFundScore) {
      this.registFundScore = registFundScore;
      return this;
   }

   public DrpSupplierScoreHist setLastYearOperatingIncomeScore(final BigDecimal lastYearOperatingIncomeScore) {
      this.lastYearOperatingIncomeScore = lastYearOperatingIncomeScore;
      return this;
   }

   public DrpSupplierScoreHist setWorkersNumScore(final BigDecimal workersNumScore) {
      this.workersNumScore = workersNumScore;
      return this;
   }

   public DrpSupplierScoreHist setOrderNumScore(final BigDecimal orderNumScore) {
      this.orderNumScore = orderNumScore;
      return this;
   }

   public DrpSupplierScoreHist setOrderAmountScore(final BigDecimal orderAmountScore) {
      this.orderAmountScore = orderAmountScore;
      return this;
   }

   public DrpSupplierScoreHist setTotalScore(final BigDecimal totalScore) {
      this.totalScore = totalScore;
      return this;
   }

   public DrpSupplierScoreHist setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DrpSupplierScoreHist setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DrpSupplierScoreHist setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DrpSupplierScoreHist setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }


   public String toString() {
      Long var10000 = this.getId();
      return "DrpSupplierScoreHist(id=" + var10000 + ", supplierId=" + this.getSupplierId() + ", period=" + this.getPeriod() + ", deliveryOnTimeScore=" + String.valueOf(this.getDeliveryOnTimeScore()) + ", productPassScore=" + String.valueOf(this.getProductPassScore()) + ", companyQualificationCertificationScore=" + String.valueOf(this.getCompanyQualificationCertificationScore()) + ", registFundScore=" + String.valueOf(this.getRegistFundScore()) + ", lastYearOperatingIncomeScore=" + String.valueOf(this.getLastYearOperatingIncomeScore()) + ", workersNumScore=" + String.valueOf(this.getWorkersNumScore()) + ", orderNumScore=" + String.valueOf(this.getOrderNumScore()) + ", orderAmountScore=" + String.valueOf(this.getOrderAmountScore()) + ", totalScore=" + String.valueOf(this.getTotalScore()) + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }
}
